<?php
/**
 * @Copyright
 *
 * @package js_weather class *
 * @author     Joachim Schmidt {@link http://www.jschmidt-systemberatung.de/}
 * @version Version: 1.0.0 - March 2023
 * @desciption Application to provide weather forcast weather data ftom openWeatherMap
 * @link       Project Site {@link http://www.jschmidt-systemberatung.de/}
 *
 * @license GNU/GPL
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * change activity:
 */

defined ( '_JEXEC' ) or die ( 'Restricted access' );
use Joomla\CMS\Factory;

include_once (dirname(__FILE__) . '/settings.php');

$input = Factory::getApplication()->input;

if  ($input->exists('lang'))
    $lang = $input->get('lang', 'en', 'STRING') ;

$text = parse_ini_file(dirname(__DIR__) . "/weather.ini", true);
$valid_languages = $text['languages'];
if (strpos($valid_languages, $lang) === false)
    $lang = "en";
$text = $text[$lang];

?>

<script>
 jQuery(document).ready(function() {
    var location='<?php echo $location; ?>'
    base = 'index.php?option=com_ajax&plugin=jphpx&group=system&format=raw&id='
    var url1 =  base + '<?php echo $jphpx_forecast; ?>&lang=<?php echo $lang; ?>&location=' +location;
    var url2 =  base + '<?php echo $jphpx_current; ?>&lang=<?php echo $lang; ?>&location=' +location;
     jQuery("#wetter").load( url2, function() {
     });
     jQuery("#forecast").load( url1, function() {
     });
  });
  
   function getforecast()
   {
       var location = jQuery('#name').val();
       location = location.replace(/ /g,"%20");
       base = 'index.php?option=com_ajax&plugin=jphpx&group=system&format=raw&id='
       if (location == '<?php echo $location; ?>')
       {
    	 var url1 =  base + '<?php echo $jphpx_forecast; ?>&lang=<?php echo $lang; ?>&location=' +location;
    	 var url2 =  base + '<?php echo $jphpx_current; ?>&lang=<?php echo $lang; ?>&location=' +location;
       }
       else
       {
           url1 = base + '<?php echo $jphpx_forecast; ?>&check_type=STRING&lang=<?php echo $lang; ?>&cache=0&location=' +location;
           url2 = base + '<?php echo $jphpx_current; ?>&check_type=STRING&lang=<?php echo $lang; ?>&cache=0&location=' +location;
       }
       jQuery("#wetter" ).load( url2, function() {
       });
       jQuery("#forecast" ).load( url1, function() {
       });
     }
</script>

<form action="">
  <label for="name"><?php echo $text['enter_location'];  ?></label><br>
  <b><input type="text" id="name" name="name" maxlength="40" value="<?php echo $location; ?>"></b>
  <div style="margin: 8px;">
  <input class="btn btn-default" type="button" value="<?php echo $text['display']; ?>" onclick="getforecast();" />
  <input class="btn btn-default" type="button" value="<?php echo $text['delete']; ?>" onclick="jQuery('#forecast').empty(); jQuery('#wetter').empty();" />
  </div>
</form>

<div id="wetter" style="margin-top: 20px;"></div>
<br>
<div id="forecast"></div>
